package org.springblade.system.mapper;

import org.springblade.system.domain.DaKyProFilesContentsDto;
import org.springblade.system.domain.FilesClassifyNameStandardDto;
import org.springblade.system.domain.RectificationDto;
import org.springblade.system.domain.vo.DaKyProFilesContentsVo;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2025/9/11 - 13:39
 */
public interface FileManageMapper {
    List<DaKyProFilesContentsDto> list(DaKyProFilesContentsDto daKyProFilesContentsDto);

    List<DaKyProFilesContentsDto> FileManage(DaKyProFilesContentsDto dto);

    Integer saveFileManage(DaKyProFilesContentsDto dto);
    Integer saveFileManage(DaKyProFilesContentsVo dto);

    Integer saveFileSource(DaKyProFilesContentsVo dto);

    Integer updateFileManage(DaKyProFilesContentsDto dto);
    Integer updateFileManage(DaKyProFilesContentsVo dto);

    Integer updateFileSource(DaKyProFilesContentsVo dto);

    Integer delFileSource(DaKyProFilesContentsDto dto);

    Integer delFileManage(DaKyProFilesContentsDto dto);

    Integer selectFileManage(DaKyProFilesContentsDto dto);
    Integer selectFileManage(DaKyProFilesContentsVo dto);

    List<FilesClassifyNameStandardDto> getFilesClassifyNameStandard();

    Integer updateIntegrityStatus(DaKyProFilesContentsDto dto);

    Integer getLevelById(DaKyProFilesContentsDto dto);

    Integer getMaxSort(DaKyProFilesContentsDto dto);

    Integer getSortById(String id);

    DaKyProFilesContentsDto getFileManageById(DaKyProFilesContentsDto dto);

    DaKyProFilesContentsVo getFileById(Long id);

    Integer getFilesNum(String proId);

    Integer getchild(DaKyProFilesContentsDto dto);

	Integer addRectification(RectificationDto dto);

	Integer updateisRectification(RectificationDto dto);

	List<RectificationDto> selectRectificationList(RectificationDto dto);

	Integer updateRectification(RectificationDto dto);

	Integer delRectification(RectificationDto dto);

	Integer issue(RectificationDto dto);

	Integer getRectificationFile(DaKyProFilesContentsDto dto);

	List<String> getdeptIds(DaKyProFilesContentsDto dto);

	Integer insertRecordTransferAudit(String deptId);

	Integer agreeRectification(RectificationDto dto);

	Integer updateTransferAudit(RectificationDto dto);

    List<RectificationDto> transferAuditDetail(RectificationDto dto);

	Integer selectAuditStatus(RectificationDto dto);
}
